Subject: Re: Booting Ebony-evb with u-boot and linux-devel-sourcetree from Denx

From: Matt Porter <[email-masked]>
Date: Thu, 22 Jul 2004 10:38:37 -0700

On Thu, Jul 22, 2004 at 01:56:40PM +0200, Markus Bernauer wrote:
> I am trying to boot my Ebony-evb with u-boot and a kernel image generated
> from devel-sourcetree from Denx. It seems to me like the kernel image simply
> ignores the parameters handed over by u-boot. I also found some earlier
> threads
> that  support my thoughts. Unfortunately I am bound to u-boot and I am
> not able
> to switch back to the native bootloader that comes with the evb. Has anyone
> already a system up and running booted by u-boot? At first it does not
> matter whether
> the root filesystem comes from flash or over nfs. Any hints would be
> appreciated.

If somebody has time to support u-boot properly, I'd be happy to apply
the patch to the ebony port.  The current port relies on OpenBIOS since
it gathers the MAC addresses from the defined VPD space.  Some people
run with u-boot/ebony, but I gather they just hack the MAC address
code and use the kernel cmdline option.

It would be nice if somebody submitted a patch to make it u-boot
friendly, it's just not high on my TODO list.

-Matt

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/